/*
 * Wilcard X100P FXO Interface Driver for Zapata Telephony interface
 *
 * Ported on FreeBSD by
 *      Alexander Timoshenko <gonzo@portaone.com>, PortaOne software
 *
 * Based on previous works, designs, and architectures conceived written 
 * by 
 *							 Mark Spencer <markster@linux-support.net>
 *							 Matthew Fredrickson <creslin@linux-support.net>
 *
 * Copyright (C) 2001, Linux Support Services, Inc.
 *
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


/* $Id: wcfxovar.h 16 2004-10-26 04:42:50Z riz $ */

struct wcfxo_data {
        int 			*wc_writechunk;
        int			*wc_readchunk;
        u_int32_t               wc_read_dmaaddr;
        bus_dma_tag_t           wc_read_tag;
        bus_dmamap_t            wc_read_dmamap;
        u_int32_t               wc_write_dmaaddr;
        bus_dma_tag_t           wc_write_tag;
        bus_dmamap_t            wc_write_dmamap;
};

struct wcfxo_desc {
	char *name;
	unsigned long flags;
};

struct wcfxo_ident {
		uint16_t			vid;
		uint16_t			did;
		int32_t				svid;/* -1 matches anything */
		struct wcfxo_desc	*device_info;
};

