/* $Id: wcfxsreg.h 55 2004-12-09 21:51:53Z riz $ */

#define 	WCFXS_PCI_BAR	0x10

#define NUM_FXO_REGS 60

#define WC_MAX_IFACES 128

#define WC_CNTL         0x00
#define WC_OPER         0x01
#define WC_AUXC         0x02
#define WC_AUXD         0x03
#define WC_MASK0        0x04
#define WC_MASK1        0x05
#define WC_INTSTAT      0x06
#define WC_AUXR         0x07

#define WC_DMAWS        0x08
#define WC_DMAWI        0x0c
#define WC_DMAWE        0x10
#define WC_DMARS        0x18
#define WC_DMARI        0x1c
#define WC_DMARE        0x20

#define WC_AUXFUNC      0x2b
#define WC_SERCTL       0x2d
#define WC_FSCDELAY     0x2f

/* the PIB address space begins at WC_REGBASE on the Tiger320 */
#define WC_REGBASE      0xc0

#define WC_SYNC         0x0
#define WC_TEST         0x1
#define WC_CS           0x2
#define WC_VER          0x3

#define BIT_CS		(1 << 2)
#define BIT_SCLK	(1 << 3)
#define BIT_SDI		(1 << 4)
#define BIT_SDO		(1 << 5)

/* bits to control direction of AUX ports - 0 == input, 1 == output */
#define AUX0_IN		(1 << 0)
#define AUX1_IN		(1 << 1)
#define AUX2_IN		(1 << 2)
#define AUX3_IN		(1 << 3)
#define AUX4_IN		(1 << 4)
#define AUX5_IN		(1 << 5)
#define AUX6_IN		(1 << 6)
#define AUX7_IN		(1 << 7)

/* serial port control register bits */
#define SER2XDCLK			(1 << 0)
#define SERIN_MSB_FIRST		(1 << 6)
#define SEROUT_MSB_FIRST	(1 << 7)

#define MAX_ALARMS 10

#define MOD_TYPE_FXS    0
#define MOD_TYPE_FXO    1

#define WCFXS_READ1(off)	bus_space_read_1(sc->sc_iot, sc->sc_ioh, (off))
#define WCFXS_WRITE1(off,v)	bus_space_write_1(sc->sc_iot, sc->sc_ioh, \
				(off), (v))
#define WCFXS_WRITE4(off,v)	bus_space_write_4(sc->sc_iot, sc->sc_ioh, \
				(off), (v))

#define OHT_TIMER	6000	/* How long after RING to retain OHT */

#define RING_DEBOUNCE	64		/* Ringer Debounce (in ms) */
#define BATT_DEBOUNCE	64		/* Battery debounce (in ms) */
#define BATT_THRESH		3		/* Anything under this is "no battery" */

#define WCFXS_SIZE	ZT_MAX_CHUNKSIZE * 2 * 2 * 2 * 4
